### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, any>
  - PutRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- modelClazz
- params

### Accessors

- metaData

### Methods

- exec
- execFullResponse
- ifNotExists
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues
- where
- whereAttribute

## Constructors

### constructor

- new PutRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, item: T): PutRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/put/put.request.ts:15

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  - ##### item: T

  #### Returns PutRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: any

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

## Accessors

### metaData

metaData:

Inherited from BaseRequest.metaData

- Defined in dynamo/request/base.request.ts:38

## Methods

### exec

- exec(): Observable<void>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/put/put.request.ts:75

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(): Observable<PutItemOutput>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/put/put.request.ts:71

  #### Returns Observable<PutItemOutput>

### ifNotExists

- ifNotExists(predicate?: undefined | false | true): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:25

  Adds a condition expression to the request, which makes sure the item will only be saved if the id does not exist

  #### Parameters

  - ##### Optional predicate: undefined | false | true

  #### Returns PutRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:42

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns PutRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: ReturnItemCollectionMetrics): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:47

  #### Parameters

  - ##### returnItemCollectionMetrics: ReturnItemCollectionMetrics

  #### Returns PutRequest<T>

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:56

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns PutRequest<T>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:65

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns PutRequest<T>

### whereAttribute

- whereAttribute(attributePath: keyof T): RequestConditionFunction<PutRequest<T>>

- - Defined in dynamo/request/put/put.request.ts:61

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<PutRequest<T>>

Generated using TypeDoc